Alles abrufen (Mieterprofil)

Alles abrufen (Mieterprofil) #

Alle Mieterprofile sind auf Ihrem Reseller-Konto verfügbar.

GET /v1.0/customers/{CUSTOMER_TENANT_ID}/tenantprofiles

Beispiel #

Diese Anfrage erhält alle Mieterprofile.

Anfrage #

GET <https://api.uk.myreports.cloud/api/v1.0/customers/{CUSTOMER_TENANT_ID}/tenantprofiles> HTTP/1.1
Autorisierung: Inhaber {TOKEN}

Reaktion #

HTTP/1.1 200 OK
Inhaltstyp: application/json; charset=utf-8
Inhalt-Länge: xx
{
	"page_size": 4,
	"Data": [
	{
            "id": "TenantProfileType_clientonly",
            "name": "ClientOnly",
            "Beschreibung": "Dies ist das Profil nur für Kunden"
        }, {
            "id": "TenantProfileType_insights",
            "name": "Insights",
            "Beschreibung": "Dies ist das Insights-Profil"
        }, {
            "id": "TenantProfileType_analytics",
            "name": "Analytics",
            "Beschreibung": "Dies ist das Analytics-Profil"
        }
	][
	{
            "id": "TenantProfileType_clientonly",
            "name": "ClientOnly",
            "description": "This is the Client Only profile"
        }, {
            "id": "TenantProfileType_insights",
            "name": "Insights",
            "description": "This is the Insights profile"
        }, {
            "id": "TenantProfileType_analytics",
            "name": "Analytics",
            "description": "This is the Analytics profile"
        }
	],
	"Status": "Erfolg",
	"Zeitstempel": "2019-01-01T10:00:00.2890319Z"
}

Fehler #

Unautorisiert #

Wenn der Token nicht bereitgestellt wird, ungültig oder abgelaufen ist

HTTP/1.1 401 Unautorisiert